Project

General

Profile

Bug #43657

test_host_ls test fails

Added by Sage Weil 3 months ago. Updated 2 months ago.

Status:
Resolved
Priority:
Urgent
Assignee:
Category:
cephadm
Target version:
-
% Done:

0%

Source:
Tags:
Backport:
Regression:
No
Severity:
3 - minor
Reviewed:
Affected Versions:
ceph-qa-suite:
Pull request ID:
Crash signature:

Description

2020-01-17T23:50:39.459 INFO:tasks.ceph.mgr.x.smithi204.stderr:ssh: Could not resolve hostname osd0: Name or service not known
2020-01-17T23:50:40.353 INFO:tasks.ceph.mgr.x.smithi204.stderr:2020-01-17T23:50:40.350+0000 7f08cc36f700 -1 mgr handle_command module 'orchestrator_cli' command handler threw exception: <class 'execnet.gateway_bootstrap.HostNotFound'>: -F /tmp/cephadm-conf-1xqop4qs root@osd0
2020-01-17T23:50:40.354 INFO:tasks.ceph.mgr.x.smithi204.stderr:2020-01-17T23:50:40.351+0000 7f08cc36f700 -1 mgr.server reply reply (22) Invalid argument Traceback (most recent call last):
2020-01-17T23:50:40.354 INFO:tasks.ceph.mgr.x.smithi204.stderr:  File "/usr/share/ceph/mgr/orchestrator.py", line 652, in raise_if_exception
2020-01-17T23:50:40.354 INFO:tasks.ceph.mgr.x.smithi204.stderr:    e = copy_to_this_subinterpreter(c.exception)
2020-01-17T23:50:40.354 INFO:tasks.ceph.mgr.x.smithi204.stderr:  File "/usr/share/ceph/mgr/orchestrator.py", line 638, in copy_to_this_subinterpreter
2020-01-17T23:50:40.354 INFO:tasks.ceph.mgr.x.smithi204.stderr:    my_cls = getattr(sys.modules[r_cls.__module__], r_cls.__name__)
2020-01-17T23:50:40.355 INFO:tasks.ceph.mgr.x.smithi204.stderr:KeyError: 'execnet.gateway_bootstrap'
2020-01-17T23:50:40.355 INFO:tasks.ceph.mgr.x.smithi204.stderr:
2020-01-17T23:50:40.355 INFO:tasks.ceph.mgr.x.smithi204.stderr:During handling of the above exception, another exception occurred:
2020-01-17T23:50:40.355 INFO:tasks.ceph.mgr.x.smithi204.stderr:
2020-01-17T23:50:40.355 INFO:tasks.ceph.mgr.x.smithi204.stderr:Traceback (most recent call last):
2020-01-17T23:50:40.355 INFO:tasks.ceph.mgr.x.smithi204.stderr:  File "/usr/share/ceph/mgr/mgr_module.py", line 1064, in _handle_command
2020-01-17T23:50:40.355 INFO:tasks.ceph.mgr.x.smithi204.stderr:    return CLICommand.COMMANDS[cmd['prefix']].call(self, cmd, inbuf)
2020-01-17T23:50:40.356 INFO:tasks.ceph.mgr.x.smithi204.stderr:  File "/usr/share/ceph/mgr/mgr_module.py", line 304, in call
2020-01-17T23:50:40.356 INFO:tasks.ceph.mgr.x.smithi204.stderr:    return self.func(mgr, **kwargs)
2020-01-17T23:50:40.356 INFO:tasks.ceph.mgr.x.smithi204.stderr:  File "/usr/share/ceph/mgr/orchestrator.py", line 140, in wrapper
2020-01-17T23:50:40.356 INFO:tasks.ceph.mgr.x.smithi204.stderr:    return func(*args, **kwargs)
2020-01-17T23:50:40.356 INFO:tasks.ceph.mgr.x.smithi204.stderr:  File "/usr/share/ceph/mgr/orchestrator_cli/module.py", line 163, in _add_host
2020-01-17T23:50:40.356 INFO:tasks.ceph.mgr.x.smithi204.stderr:    orchestrator.raise_if_exception(completion)
2020-01-17T23:50:40.357 INFO:tasks.ceph.mgr.x.smithi204.stderr:  File "/usr/share/ceph/mgr/orchestrator.py", line 654, in raise_if_exception
2020-01-17T23:50:40.357 INFO:tasks.ceph.mgr.x.smithi204.stderr:    raise Exception('{}: {}'.format(type(c.exception), c.exception))
2020-01-17T23:50:40.357 INFO:tasks.ceph.mgr.x.smithi204.stderr:Exception: <class 'execnet.gateway_bootstrap.HostNotFound'>: -F /tmp/cephadm-conf-1xqop4qs root@osd0
2020-01-17T23:50:40.357 INFO:tasks.ceph.mgr.x.smithi204.stderr:
2020-01-17T23:50:40.357 INFO:teuthology.orchestra.run.smithi204.stderr:2020-01-17T23:50:40.351+0000 7fee1a7fc700  1 -- 172.21.15.204:0/2528901528 <== mgr.4774 v2:172.21.15.204:6808/24476 1 ==== mgr_command_reply(tid 0: -22 Traceback (most recent call last):

/a/sage-2020-01-17_23:05:05-rados-wip-sage3-testing-2020-01-17-1054-distro-basic-smithi/4679596

History

#3 Updated by Sebastian Wagner 3 months ago

  • Category set to cephadm

#4 Updated by Sage Weil 3 months ago

  • Priority changed from Urgent to High

#5 Updated by Sebastian Wagner 3 months ago

swagner-2020-01-20_14:55:57-rados-wip-swagner-testing-distro-basic-smithi/4688390

  • CentOS 8
ssh: Could not resolve hostname osd0: Name or service not known
2020-01-21T02:50:03.554+0000 7f4bce9f8700 -1 mgr handle_command module 'orchestrator_cli' command handler threw exception: <class 'execnet.gateway_bootstrap.HostNotFound'>: -F /tmp/cephadm-conf-l0ol2_f5 root@osd0
2020-01-21T02:50:03.555+0000 7f4bce9f8700 -1 mgr.server reply reply (22) Invalid argument Traceback (most recent call last):
  File "/usr/share/ceph/mgr/orchestrator.py", line 652, in raise_if_exception
    e = copy_to_this_subinterpreter(c.exception)
  File "/usr/share/ceph/mgr/orchestrator.py", line 638, in copy_to_this_subinterpreter
    my_cls = getattr(sys.modules[r_cls.__module__], r_cls.__name__)
KeyError: 'execnet.gateway_bootstrap'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/share/ceph/mgr/mgr_module.py", line 1064, in _handle_command
    return CLICommand.COMMANDS[cmd['prefix']].call(self, cmd, inbuf)
  File "/usr/share/ceph/mgr/mgr_module.py", line 304, in call
    return self.func(mgr, **kwargs)
  File "/usr/share/ceph/mgr/orchestrator.py", line 140, in wrapper
    return func(*args, **kwargs)
  File "/usr/share/ceph/mgr/orchestrator_cli/module.py", line 164, in _add_host
    orchestrator.raise_if_exception(completion)
  File "/usr/share/ceph/mgr/orchestrator.py", line 654, in raise_if_exception
    raise Exception('{}: {}'.format(type(c.exception), c.exception))
Exception: <class 'execnet.gateway_bootstrap.HostNotFound'>: -F /tmp/cephadm-conf-l0ol2_f5 root@osd0

#6 Updated by Kefu Chai 2 months ago

/a/kchai-2020-01-25_04:55:56-rados-wip-kefu-testing-2020-01-25-0051-distro-basic-smithi/4705885

#8 Updated by Sage Weil 2 months ago

  • Priority changed from High to Urgent

/a/sage-2020-01-29_20:14:58-rados-wip-sage-testing-2020-01-29-1034-distro-basic-smithi/4717990

#10 Updated by Kefu Chai 2 months ago

  • Status changed from New to Resolved
  • Assignee changed from Sebastian Wagner to Kefu Chai
  • Pull request ID set to 32881

Also available in: Atom PDF